We have tested with VMware Fusion 7,  8.x., 10.x, 11 (including version 11.5) and VMware Fusion 12. Earlier versions are likely to work, but we suggest to try before you buy if you want to use an older version as Fusion 7.
VMware Fusion Player 12 is also supported.